---
title: RTCRtpTransceiver.stop()
slug: Web/API/RTCRtpTransceiver/stop
tags:
  - API
  - Media
  - Method
  - RTCRtpTransceiver
  - RTP
  - Reference
  - Stopping a Transceiver
  - WebRTC
  - stop
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>stop()</code></strong> method in the {{domxref("RTCRtpTransceiver")}} interface permanently stops the transceiver by stopping both the associated {{domxref("RTCRtpSender")}} and {{domxref("RTCRtpReceiver")}}.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> Until recently, the {{domxref("RTCRtpTransceiver.stopped", "stopped")}} property was provided to return <code>true</code> if the connection is stopped. That property has been deprecated and will be removed at some point. Instead, check the value of {{domxref("RTCRtpTransceiver.currentDirection", "currentDirection")}}. If it's <code>stopped</code>, the transceiver has been stopped.</p>
</div>

<p>This method does nothing if the transceiver is already stopped.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>RTCRtpTransceiver</em>.stop()</pre>

<h3 id="Paramters">Paramters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code></p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>InvalidStateError</code></dt>
 <dd>The <code>RTCPeerConnection</code> of which the transceiver is a member is closed.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>When you call <code>stop()</code> on a transceiver, the sender immediately stops sending media and each of its RTP streams are closed using the {{Glossary("RTCP")}} <code>"BYE"</code> message. The receiver then stops receiving media; the receiver's {{domxref("RTCRtpReceiver.track", "track")}} is stopped, and the transceiver's {{domxref("RTCRtpTransceiver.direction", "direction")}} is changed to <code>stopped</code>, and renegotiation is triggered by sending a <code>negotiationneeded</code> event to the <code>RTCPeerConnection</code>.</p>

<p>The negotiation process causes {{domxref("RTCRtpTransceiver.currentDirection", "currentNegotiation")}} to be set to <code>stopped</code>, finally indicating that the transceiver has been fully stopped.</p>

<div class="notecard note">
<p><strong>Note:</strong> Stopping the transceiver causes a {{event("negotiationneeded")}} event to be sent to the transceiver's {{domxref("RTCPeerConnection")}}, so the connection can adapt to the change.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcrtptransceiver-stop", "RTCRtpTransceiver.stop()")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpTransceiver.stop")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Intro_to_RTP">Introduction to the Real-time Transport Protocol (RTP)</a></li>
 <li>{{domxref("MediaStreamTrack")}}</li>
</ul>
